Pre-translate job
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/preTranslate \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"jobs": [
{
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
],
"callbackUrl": "<string>",
"confirm100MachineTranslationMatches": true,
"confirm100NonTranslatableMatches": true,
"confirm100TranslationMemoryMatches": true,
"confirm101TranslationMemoryMatches": true,
"insertMachineTranslationIntoTarget": true,
"lock100MachineTranslationMatches": true,
"lock100NonTranslatableMatches": true,
"lock100TranslationMemoryMatches": true,
"lock101TranslationMemoryMatches": true,
"mtSuggestOnlyTmBelow": true,
"mtSuggestOnlyTmBelowThreshold": 0.505,
"overwrite": true,
"preTranslateNonTranslatables": true,
"segmentFilters": [],
"setJobStatusCompleted": true,
"setJobStatusCompletedWhenConfirmed": true,
"setProjectStatusCompleted": true,
"translationMemoryTreshold": 123,
"useMachineTranslation": true,
"useProjectPreTranslateSettings": true,
"useTranslationMemory": true
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/preTranslate"
payload = {
"jobs": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }],
"callbackUrl": "<string>",
"confirm100MachineTranslationMatches": True,
"confirm100NonTranslatableMatches": True,
"confirm100TranslationMemoryMatches": True,
"confirm101TranslationMemoryMatches": True,
"insertMachineTranslationIntoTarget": True,
"lock100MachineTranslationMatches": True,
"lock100NonTranslatableMatches": True,
"lock100TranslationMemoryMatches": True,
"lock101TranslationMemoryMatches": True,
"mtSuggestOnlyTmBelow": True,
"mtSuggestOnlyTmBelowThreshold": 0.505,
"overwrite": True,
"preTranslateNonTranslatables": True,
"segmentFilters": [],
"setJobStatusCompleted": True,
"setJobStatusCompletedWhenConfirmed": True,
"setProjectStatusCompleted": True,
"translationMemoryTreshold": 123,
"useMachineTranslation": True,
"useProjectPreTranslateSettings": True,
"useTranslationMemory": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
jobs: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}],
callbackUrl: '<string>',
confirm100MachineTranslationMatches: true,
confirm100NonTranslatableMatches: true,
confirm100TranslationMemoryMatches: true,
confirm101TranslationMemoryMatches: true,
insertMachineTranslationIntoTarget: true,
lock100MachineTranslationMatches: true,
lock100NonTranslatableMatches: true,
lock100TranslationMemoryMatches: true,
lock101TranslationMemoryMatches: true,
mtSuggestOnlyTmBelow: true,
mtSuggestOnlyTmBelowThreshold: 0.505,
overwrite: true,
preTranslateNonTranslatables: true,
segmentFilters: [],
setJobStatusCompleted: true,
setJobStatusCompletedWhenConfirmed: true,
setProjectStatusCompleted: true,
translationMemoryTreshold: 123,
useMachineTranslation: true,
useProjectPreTranslateSettings: true,
useTranslationMemory: true
})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/preTranslate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asyncRequest": {
"asyncResponse": {
"acceptedSegmentsCount": 123,
"dateCreated": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"errorDesc": "<string>",
"errorDetails": [
{
"args": {},
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"args": {},
"code": "<string>",
"message": "<string>"
}
]
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"parent": "<unknown>",
"project": {
"name": "<string>",
"uid": "<string>"
}
}
}Translation
Pre-translate job
deprecated
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
preTranslate
Pre-translate job
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project UID
Body
application/json
Jobs and pre-translation settings
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: APPLY_MT_ABOVE_THRESHOLD
Available options:
APPLY_MT_ABOVE_THRESHOLD, COMPARE_AND_BEST_MATCH Default: true
Default: 1.0
Required range:
0 < x < 1.01Default: false
Default: false
Available options:
LOCKED, NOT_LOCKED Default: false
Default: false
Default: false
default: 0.7
Default: true
Default: false
Default: true
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I